LibreOffice LibreOffice 6.2 SDK API Reference

Variables
com::sun::star::i18n::CTLScriptType Constant Group Referencepublished

CTL script type constants for layout engine, returned by XScriptTypeDetector::getCTLScriptType() More...

## Variables
const short | CTL_UNKNOWN = 0
| For CTL scripts OOo currently does not support or could not handle. More...
const short | CTL_HEBREW = 1
| For Hebrew script. More...
const short | CTL_ARABIC = 2
| For Arabic script. More...
const short | CTL_THAI = 3
| For Thai script. More...
const short | CTL_INDIC = 4
| For Indic script (including Devanagari, Tamil, Telugu and Gujarati script) More...

## Detailed Description

CTL script type constants for layout engine, returned by XScriptTypeDetector::getCTLScriptType()

Since
  OOo 1.1.2

## Variable Documentation

## ◆ CTL_ARABIC

const short CTL_ARABIC = 2

For Arabic script.

## ◆ CTL_HEBREW

const short CTL_HEBREW = 1

For Hebrew script.

## ◆ CTL_INDIC

const short CTL_INDIC = 4

For Indic script (including Devanagari, Tamil, Telugu and Gujarati script)

## ◆ CTL_THAI

const short CTL_THAI = 3

For Thai script.

## ◆ CTL_UNKNOWN

const short CTL_UNKNOWN = 0

For CTL scripts OOo currently does not support or could not handle.